Alright Guys I Just Purchased An Iphone 2g...

Discussion in 'iPhone Newbies' started by Snakebite786, Oct 27, 2008.

  1. Snakebite786

    Snakebite786 New Member

    Joined:
    Oct 27, 2008
    Messages:
    1

    And right now I want to use it just for the ipod right now because I currently don't have any service. I know I have to jailbreak it but I have NO IDEA what the current firmware is. Right now it is at the emergency call screen. So can someone please tell me how I can jailbreak my iphone so I can use the ipod features right now. It will be greatly appreciated!:):)
     
  2. rafayj

    rafayj Member

    Joined:
    Oct 26, 2008
    Messages:
    24

    Try searching on the internet or on these forums, you would find a tutorial on how to jailbreak your iphone. Current firmware latest one which most have been using is 2.1
     
  3. icepricessa

    icepricessa Active Member

    Joined:
    Dec 3, 2008
    Messages:
    43

    That's true, jailbreaking does give you more freedom and control over your iphone. However, there's a price to pay should anything go wrong. For one, its not under warranty, it's an option if you have the money and ready to take such a risk... nothing is 100%.
     
  4. dreamr802

    dreamr802 Well-Known Member

    Joined:
    Dec 6, 2008
    Messages:
    59

    If you were going to use it for only the ipod why not get the ipod touch? I would've preferred that especially if you don't have the at&t service.
     
  5. martincooper91

    martincooper91 Member

    Joined:
    Sep 14, 2009
    Messages:
    20
  6. Jnasty

    Jnasty New Member

    Joined:
    Sep 16, 2009
    Messages:
    1

    "its not under warranty"

    Couldn't someone just restore to factory settings On iTunes if anything were to happen to a jail broken phone
     
  7. balsy_megan

    balsy_megan Member

    Joined:
    Feb 10, 2010
    Messages:
    18

    Anyone can restore their setting through iTunes that's what i build for. But some problem like unrecognized phone, automatic update to 3.1.3 which is so far got problem. You can try this.